/////////////////////////////////////////////////////////////////
// Ozier, O. (2018)
// "The Impact of Secondary Schooling in Kenya:
//  A Regression Discontinuity Analysis"
// Journal of Human Resources 53(1), pp.157-188
/////////////////////////////////////////////////////////////////
// Table 1
/////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////
// owen ozier
// file started 2009
// file updated 2021
global rootdir "YOURDIRECTORY"
global dodir "${rootdir}\do"
global dtadir "${rootdir}\dta"
global tmpdir "${rootdir}\tmp"

cd $dtadir
use ozier_jhr_rep_data_v1.dta, clear
cd $tmpdir
/////////////////////////////////////////////////////////////////


local absmax=0.8

// Note that this table uses has_score_2016, which is how the tables
// in the published paper were generated, but which is updated by one
// observation relative to the graphs (figures) in the published paper.
// It can be swapped with has_score in order to include one fewer observation
// for some summary statistics.
local samplerestriction = "has_score_2016==1"
//local samplerestriction = "has_score==1"

// Panel A
sum age_at_klps2_approximate female fathers_education mothers_education if `samplerestriction'

// Panel B
sum kcpe_self_or_matched_recent max_grade_complete attending_school_klps2 anysecondary finishsecondary postsecondary if `samplerestriction'

// Panel C
sum vocabulary_standardized ravens_standardized ravens_plus_vocab_standardized if `samplerestriction' & abs(rkcpe)<`absmax'

// Panel D
sum age_at_klps2_approximate attending_school_klps2 employed self_employed if `samplerestriction' & abs(rkcpe)<`absmax' & female==0 & psdp_std98>5

// Panel E
sum age_at_klps2_approximate pregnant_by_18  if(`samplerestriction' & female==1 & age_at_klps2_approximate>=18 & abs(rkcpe)<`absmax')

