/////////////////////////////////////////////////////////////////
// Ozier, O. (2018)
// "The Impact of Secondary Schooling in Kenya:
//  A Regression Discontinuity Analysis"
// Journal of Human Resources 53(1), pp.157-188
/////////////////////////////////////////////////////////////////
// Table 2
/////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////
// owen ozier
// file started 2008
// file updated 2021
global rootdir "YOURDIRECTORY"
global dodir "${rootdir}\do"
global dtadir "${rootdir}\dta"
global tmpdir "${rootdir}\tmp"

cd $dtadir
use ozier_jhr_rep_data_v1.dta, clear
cd $tmpdir
/////////////////////////////////////////////////////////////////



local absmax=0.8
local outcome="finishsecondary"
local mainspec="passrkcpe rkcpe int_pass_rkcpe"
local quad="rkcpe2 int_pass_rkcpe2"
tab psdp_std98 , gen(ds)

local controls1="age_at_klps2_approximate ds2-ds6 female"
local controls2="mothers_education_0_if_missing missing_mothers_education"
local controls3="fathers_education_0_if_missing missing_fathers_education"
local ctrls="`controls1' `controls2' `controls3'"

// column 1
reg `outcome' `mainspec' if abs(rkcpe)<`absmax', vce(cluster rkcpe)
test passrkcpe=0

// column 2
reg `outcome' `mainspec' `ctrls' if abs(rkcpe)<`absmax', vce(cluster rkcpe)
test passrkcpe=0

// column 3
reg `outcome' `mainspec' `quad' `ctrls' if abs(rkcpe)<`absmax', vce(cluster rkcpe)
test passrkcpe=0


// column 4
reg `outcome' `mainspec' if abs(rkcpe)<`absmax' & female==0, vce(cluster rkcpe)
test passrkcpe=0

// column 5
reg `outcome' `mainspec' `ctrls' if abs(rkcpe)<`absmax' & female==0, vce(cluster rkcpe)
test passrkcpe=0

// column 6
reg `outcome' `mainspec' `quad' `ctrls' if abs(rkcpe)<`absmax' & female==0, vce(cluster rkcpe)
test passrkcpe=0

// column 7
reg `outcome' `mainspec' if abs(rkcpe)<`absmax' & female==1, vce(cluster rkcpe)
test passrkcpe=0

// column 8
reg `outcome' `mainspec' `ctrls' if abs(rkcpe)<`absmax' & female==1, vce(cluster rkcpe)
test passrkcpe=0

// column 9
reg `outcome' `mainspec' `quad' `ctrls' if abs(rkcpe)<`absmax' & female==1, vce(cluster rkcpe)
test passrkcpe=0

